
// Stochastic Job Scheduling, based on []
// Encoding by Junges & Quatmann
// RWTH Aachen University
// Please cite Quatmann et al: Multi-objective Model Checking of Markov Automata
ma

const int N = 15;
const int K = 3;
const double x_j8 = 3;
const double x_j9 = 1;
const double x_j4 = 2;
const double x_j5 = 3;
const double x_j6 = 1;
const double x_j7 = 2;
const double x_j1 = 2;
const double x_j2 = 3;
const double x_j3 = 1;
const double x_j14 = 3;
const double x_j15 = 1;
const double x_j12 = 1;
const double x_j13 = 2;
const double x_j10 = 2;
const double x_j11 = 3;
formula is_running = r_j8 + r_j9 + r_j4 + r_j5 + r_j6 + r_j7 + r_j1 + r_j2 + r_j3 + r_j14 + r_j15 + r_j12 + r_j13 + r_j10 + r_j11 > 0;
formula num_finished = f_j8 + f_j9 + f_j4 + f_j5 + f_j6 + f_j7 + f_j1 + f_j2 + f_j3 + f_j14 + f_j15 + f_j12 + f_j13 + f_j10 + f_j11;
module main
	r_j8 : [0..1];
	r_j9 : [0..1];
	r_j4 : [0..1];
	r_j5 : [0..1];
	r_j6 : [0..1];
	r_j7 : [0..1];
	r_j1 : [0..1];
	r_j2 : [0..1];
	r_j3 : [0..1];
	r_j14 : [0..1];
	r_j15 : [0..1];
	r_j12 : [0..1];
	r_j13 : [0..1];
	r_j10 : [0..1];
	r_j11 : [0..1];
	f_j8 : [0..1];
	f_j9 : [0..1];
	f_j4 : [0..1];
	f_j5 : [0..1];
	f_j6 : [0..1];
	f_j7 : [0..1];
	f_j1 : [0..1];
	f_j2 : [0..1];
	f_j3 : [0..1];
	f_j14 : [0..1];
	f_j15 : [0..1];
	f_j12 : [0..1];
	f_j13 : [0..1];
	f_j10 : [0..1];
	f_j11 : [0..1];
	<> (r_j8 = 1)  -> x_j8 : (r_j8' = 0) & (r_j9' = 0) & (r_j4' = 0) & (r_j5' = 0) & (r_j6' = 0) & (r_j7' = 0) & (r_j1' = 0) & (r_j2' = 0) & (r_j3' = 0) & (r_j14' = 0) & (r_j15' = 0) & (r_j12' = 0) & (r_j13' = 0) & (r_j10' = 0) & (r_j11' = 0) & (f_j8' = 1);
	<> (r_j9 = 1)  -> x_j9 : (r_j8' = 0) & (r_j9' = 0) & (r_j4' = 0) & (r_j5' = 0) & (r_j6' = 0) & (r_j7' = 0) & (r_j1' = 0) & (r_j2' = 0) & (r_j3' = 0) & (r_j14' = 0) & (r_j15' = 0) & (r_j12' = 0) & (r_j13' = 0) & (r_j10' = 0) & (r_j11' = 0) & (f_j9' = 1);
	<> (r_j4 = 1)  -> x_j4 : (r_j8' = 0) & (r_j9' = 0) & (r_j4' = 0) & (r_j5' = 0) & (r_j6' = 0) & (r_j7' = 0) & (r_j1' = 0) & (r_j2' = 0) & (r_j3' = 0) & (r_j14' = 0) & (r_j15' = 0) & (r_j12' = 0) & (r_j13' = 0) & (r_j10' = 0) & (r_j11' = 0) & (f_j4' = 1);
	<> (r_j5 = 1)  -> x_j5 : (r_j8' = 0) & (r_j9' = 0) & (r_j4' = 0) & (r_j5' = 0) & (r_j6' = 0) & (r_j7' = 0) & (r_j1' = 0) & (r_j2' = 0) & (r_j3' = 0) & (r_j14' = 0) & (r_j15' = 0) & (r_j12' = 0) & (r_j13' = 0) & (r_j10' = 0) & (r_j11' = 0) & (f_j5' = 1);
	<> (r_j6 = 1)  -> x_j6 : (r_j8' = 0) & (r_j9' = 0) & (r_j4' = 0) & (r_j5' = 0) & (r_j6' = 0) & (r_j7' = 0) & (r_j1' = 0) & (r_j2' = 0) & (r_j3' = 0) & (r_j14' = 0) & (r_j15' = 0) & (r_j12' = 0) & (r_j13' = 0) & (r_j10' = 0) & (r_j11' = 0) & (f_j6' = 1);
	<> (r_j7 = 1)  -> x_j7 : (r_j8' = 0) & (r_j9' = 0) & (r_j4' = 0) & (r_j5' = 0) & (r_j6' = 0) & (r_j7' = 0) & (r_j1' = 0) & (r_j2' = 0) & (r_j3' = 0) & (r_j14' = 0) & (r_j15' = 0) & (r_j12' = 0) & (r_j13' = 0) & (r_j10' = 0) & (r_j11' = 0) & (f_j7' = 1);
	<> (r_j1 = 1)  -> x_j1 : (r_j8' = 0) & (r_j9' = 0) & (r_j4' = 0) & (r_j5' = 0) & (r_j6' = 0) & (r_j7' = 0) & (r_j1' = 0) & (r_j2' = 0) & (r_j3' = 0) & (r_j14' = 0) & (r_j15' = 0) & (r_j12' = 0) & (r_j13' = 0) & (r_j10' = 0) & (r_j11' = 0) & (f_j1' = 1);
	<> (r_j2 = 1)  -> x_j2 : (r_j8' = 0) & (r_j9' = 0) & (r_j4' = 0) & (r_j5' = 0) & (r_j6' = 0) & (r_j7' = 0) & (r_j1' = 0) & (r_j2' = 0) & (r_j3' = 0) & (r_j14' = 0) & (r_j15' = 0) & (r_j12' = 0) & (r_j13' = 0) & (r_j10' = 0) & (r_j11' = 0) & (f_j2' = 1);
	<> (r_j3 = 1)  -> x_j3 : (r_j8' = 0) & (r_j9' = 0) & (r_j4' = 0) & (r_j5' = 0) & (r_j6' = 0) & (r_j7' = 0) & (r_j1' = 0) & (r_j2' = 0) & (r_j3' = 0) & (r_j14' = 0) & (r_j15' = 0) & (r_j12' = 0) & (r_j13' = 0) & (r_j10' = 0) & (r_j11' = 0) & (f_j3' = 1);
	<> (r_j14 = 1)  -> x_j14 : (r_j8' = 0) & (r_j9' = 0) & (r_j4' = 0) & (r_j5' = 0) & (r_j6' = 0) & (r_j7' = 0) & (r_j1' = 0) & (r_j2' = 0) & (r_j3' = 0) & (r_j14' = 0) & (r_j15' = 0) & (r_j12' = 0) & (r_j13' = 0) & (r_j10' = 0) & (r_j11' = 0) & (f_j14' = 1);
	<> (r_j15 = 1)  -> x_j15 : (r_j8' = 0) & (r_j9' = 0) & (r_j4' = 0) & (r_j5' = 0) & (r_j6' = 0) & (r_j7' = 0) & (r_j1' = 0) & (r_j2' = 0) & (r_j3' = 0) & (r_j14' = 0) & (r_j15' = 0) & (r_j12' = 0) & (r_j13' = 0) & (r_j10' = 0) & (r_j11' = 0) & (f_j15' = 1);
	<> (r_j12 = 1)  -> x_j12 : (r_j8' = 0) & (r_j9' = 0) & (r_j4' = 0) & (r_j5' = 0) & (r_j6' = 0) & (r_j7' = 0) & (r_j1' = 0) & (r_j2' = 0) & (r_j3' = 0) & (r_j14' = 0) & (r_j15' = 0) & (r_j12' = 0) & (r_j13' = 0) & (r_j10' = 0) & (r_j11' = 0) & (f_j12' = 1);
	<> (r_j13 = 1)  -> x_j13 : (r_j8' = 0) & (r_j9' = 0) & (r_j4' = 0) & (r_j5' = 0) & (r_j6' = 0) & (r_j7' = 0) & (r_j1' = 0) & (r_j2' = 0) & (r_j3' = 0) & (r_j14' = 0) & (r_j15' = 0) & (r_j12' = 0) & (r_j13' = 0) & (r_j10' = 0) & (r_j11' = 0) & (f_j13' = 1);
	<> (r_j10 = 1)  -> x_j10 : (r_j8' = 0) & (r_j9' = 0) & (r_j4' = 0) & (r_j5' = 0) & (r_j6' = 0) & (r_j7' = 0) & (r_j1' = 0) & (r_j2' = 0) & (r_j3' = 0) & (r_j14' = 0) & (r_j15' = 0) & (r_j12' = 0) & (r_j13' = 0) & (r_j10' = 0) & (r_j11' = 0) & (f_j10' = 1);
	<> (r_j11 = 1)  -> x_j11 : (r_j8' = 0) & (r_j9' = 0) & (r_j4' = 0) & (r_j5' = 0) & (r_j6' = 0) & (r_j7' = 0) & (r_j1' = 0) & (r_j2' = 0) & (r_j3' = 0) & (r_j14' = 0) & (r_j15' = 0) & (r_j12' = 0) & (r_j13' = 0) & (r_j10' = 0) & (r_j11' = 0) & (f_j11' = 1);
	[] (!is_running) & (num_finished = 14) & (f_j8 = 0) -> 1: (r_j8' = 1);
	[] (!is_running) & (num_finished = 14) & (f_j9 = 0) -> 1: (r_j9' = 1);
	[] (!is_running) & (num_finished = 14) & (f_j4 = 0) -> 1: (r_j4' = 1);
	[] (!is_running) & (num_finished = 14) & (f_j5 = 0) -> 1: (r_j5' = 1);
	[] (!is_running) & (num_finished = 14) & (f_j6 = 0) -> 1: (r_j6' = 1);
	[] (!is_running) & (num_finished = 14) & (f_j7 = 0) -> 1: (r_j7' = 1);
	[] (!is_running) & (num_finished = 14) & (f_j1 = 0) -> 1: (r_j1' = 1);
	[] (!is_running) & (num_finished = 14) & (f_j2 = 0) -> 1: (r_j2' = 1);
	[] (!is_running) & (num_finished = 14) & (f_j3 = 0) -> 1: (r_j3' = 1);
	[] (!is_running) & (num_finished = 14) & (f_j14 = 0) -> 1: (r_j14' = 1);
	[] (!is_running) & (num_finished = 14) & (f_j15 = 0) -> 1: (r_j15' = 1);
	[] (!is_running) & (num_finished = 14) & (f_j12 = 0) -> 1: (r_j12' = 1);
	[] (!is_running) & (num_finished = 14) & (f_j13 = 0) -> 1: (r_j13' = 1);
	[] (!is_running) & (num_finished = 14) & (f_j10 = 0) -> 1: (r_j10' = 1);
	[] (!is_running) & (num_finished = 14) & (f_j11 = 0) -> 1: (r_j11' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j8 = 0) & (f_j9 = 0) -> 1: (r_j8' = 1) & (r_j9' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j8 = 0) & (f_j4 = 0) -> 1: (r_j8' = 1) & (r_j4' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j8 = 0) & (f_j5 = 0) -> 1: (r_j8' = 1) & (r_j5' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j8 = 0) & (f_j6 = 0) -> 1: (r_j8' = 1) & (r_j6' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j8 = 0) & (f_j7 = 0) -> 1: (r_j8' = 1) & (r_j7' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j8 = 0) & (f_j1 = 0) -> 1: (r_j8' = 1) & (r_j1' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j8 = 0) & (f_j2 = 0) -> 1: (r_j8' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j8 = 0) & (f_j3 = 0) -> 1: (r_j8' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j8 = 0) & (f_j14 = 0) -> 1: (r_j8' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j8 = 0) & (f_j15 = 0) -> 1: (r_j8' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j8 = 0) & (f_j12 = 0) -> 1: (r_j8' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j8 = 0) & (f_j13 = 0) -> 1: (r_j8' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j8 = 0) & (f_j10 = 0) -> 1: (r_j8' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j8 = 0) & (f_j11 = 0) -> 1: (r_j8' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j9 = 0) & (f_j4 = 0) -> 1: (r_j9' = 1) & (r_j4' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j9 = 0) & (f_j5 = 0) -> 1: (r_j9' = 1) & (r_j5' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j9 = 0) & (f_j6 = 0) -> 1: (r_j9' = 1) & (r_j6' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j9 = 0) & (f_j7 = 0) -> 1: (r_j9' = 1) & (r_j7' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j9 = 0) & (f_j1 = 0) -> 1: (r_j9' = 1) & (r_j1' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j9 = 0) & (f_j2 = 0) -> 1: (r_j9' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j9 = 0) & (f_j3 = 0) -> 1: (r_j9' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j9 = 0) & (f_j14 = 0) -> 1: (r_j9' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j9 = 0) & (f_j15 = 0) -> 1: (r_j9' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j9 = 0) & (f_j12 = 0) -> 1: (r_j9' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j9 = 0) & (f_j13 = 0) -> 1: (r_j9' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j9 = 0) & (f_j10 = 0) -> 1: (r_j9' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j9 = 0) & (f_j11 = 0) -> 1: (r_j9' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j4 = 0) & (f_j5 = 0) -> 1: (r_j4' = 1) & (r_j5' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j4 = 0) & (f_j6 = 0) -> 1: (r_j4' = 1) & (r_j6' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j4 = 0) & (f_j7 = 0) -> 1: (r_j4' = 1) & (r_j7' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j4 = 0) & (f_j1 = 0) -> 1: (r_j4' = 1) & (r_j1' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j4 = 0) & (f_j2 = 0) -> 1: (r_j4' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j4 = 0) & (f_j3 = 0) -> 1: (r_j4' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j4 = 0) & (f_j14 = 0) -> 1: (r_j4' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j4 = 0) & (f_j15 = 0) -> 1: (r_j4' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j4 = 0) & (f_j12 = 0) -> 1: (r_j4' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j4 = 0) & (f_j13 = 0) -> 1: (r_j4' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j4 = 0) & (f_j10 = 0) -> 1: (r_j4' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j4 = 0) & (f_j11 = 0) -> 1: (r_j4' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j5 = 0) & (f_j6 = 0) -> 1: (r_j5' = 1) & (r_j6' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j5 = 0) & (f_j7 = 0) -> 1: (r_j5' = 1) & (r_j7' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j5 = 0) & (f_j1 = 0) -> 1: (r_j5' = 1) & (r_j1' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j5 = 0) & (f_j2 = 0) -> 1: (r_j5' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j5 = 0) & (f_j3 = 0) -> 1: (r_j5' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j5 = 0) & (f_j14 = 0) -> 1: (r_j5' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j5 = 0) & (f_j15 = 0) -> 1: (r_j5' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j5 = 0) & (f_j12 = 0) -> 1: (r_j5' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j5 = 0) & (f_j13 = 0) -> 1: (r_j5' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j5 = 0) & (f_j10 = 0) -> 1: (r_j5' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j5 = 0) & (f_j11 = 0) -> 1: (r_j5' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j6 = 0) & (f_j7 = 0) -> 1: (r_j6' = 1) & (r_j7' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j6 = 0) & (f_j1 = 0) -> 1: (r_j6' = 1) & (r_j1' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j6 = 0) & (f_j2 = 0) -> 1: (r_j6' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j6 = 0) & (f_j3 = 0) -> 1: (r_j6' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j6 = 0) & (f_j14 = 0) -> 1: (r_j6' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j6 = 0) & (f_j15 = 0) -> 1: (r_j6' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j6 = 0) & (f_j12 = 0) -> 1: (r_j6' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j6 = 0) & (f_j13 = 0) -> 1: (r_j6' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j6 = 0) & (f_j10 = 0) -> 1: (r_j6' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j6 = 0) & (f_j11 = 0) -> 1: (r_j6' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j7 = 0) & (f_j1 = 0) -> 1: (r_j7' = 1) & (r_j1' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j7 = 0) & (f_j2 = 0) -> 1: (r_j7' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j7 = 0) & (f_j3 = 0) -> 1: (r_j7' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j7 = 0) & (f_j14 = 0) -> 1: (r_j7' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j7 = 0) & (f_j15 = 0) -> 1: (r_j7' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j7 = 0) & (f_j12 = 0) -> 1: (r_j7' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j7 = 0) & (f_j13 = 0) -> 1: (r_j7' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j7 = 0) & (f_j10 = 0) -> 1: (r_j7' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j7 = 0) & (f_j11 = 0) -> 1: (r_j7' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j1 = 0) & (f_j2 = 0) -> 1: (r_j1' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j1 = 0) & (f_j3 = 0) -> 1: (r_j1' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j1 = 0) & (f_j14 = 0) -> 1: (r_j1' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j1 = 0) & (f_j15 = 0) -> 1: (r_j1' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j1 = 0) & (f_j12 = 0) -> 1: (r_j1' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j1 = 0) & (f_j13 = 0) -> 1: (r_j1' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j1 = 0) & (f_j10 = 0) -> 1: (r_j1' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j1 = 0) & (f_j11 = 0) -> 1: (r_j1' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j2 = 0) & (f_j3 = 0) -> 1: (r_j2' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j2 = 0) & (f_j14 = 0) -> 1: (r_j2' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j2 = 0) & (f_j15 = 0) -> 1: (r_j2' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j2 = 0) & (f_j12 = 0) -> 1: (r_j2' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j2 = 0) & (f_j13 = 0) -> 1: (r_j2' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j2 = 0) & (f_j10 = 0) -> 1: (r_j2' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j2 = 0) & (f_j11 = 0) -> 1: (r_j2' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j3 = 0) & (f_j14 = 0) -> 1: (r_j3' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j3 = 0) & (f_j15 = 0) -> 1: (r_j3' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j3 = 0) & (f_j12 = 0) -> 1: (r_j3' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j3 = 0) & (f_j13 = 0) -> 1: (r_j3' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j3 = 0) & (f_j10 = 0) -> 1: (r_j3' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j3 = 0) & (f_j11 = 0) -> 1: (r_j3' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j14 = 0) & (f_j15 = 0) -> 1: (r_j14' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j14 = 0) & (f_j12 = 0) -> 1: (r_j14' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j14 = 0) & (f_j13 = 0) -> 1: (r_j14' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j14 = 0) & (f_j10 = 0) -> 1: (r_j14' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j14 = 0) & (f_j11 = 0) -> 1: (r_j14' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j15 = 0) & (f_j12 = 0) -> 1: (r_j15' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j15 = 0) & (f_j13 = 0) -> 1: (r_j15' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j15 = 0) & (f_j10 = 0) -> 1: (r_j15' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j15 = 0) & (f_j11 = 0) -> 1: (r_j15' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j12 = 0) & (f_j13 = 0) -> 1: (r_j12' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j12 = 0) & (f_j10 = 0) -> 1: (r_j12' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j12 = 0) & (f_j11 = 0) -> 1: (r_j12' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j13 = 0) & (f_j10 = 0) -> 1: (r_j13' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j13 = 0) & (f_j11 = 0) -> 1: (r_j13' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished = 13) & (f_j10 = 0) & (f_j11 = 0) -> 1: (r_j10' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j9 = 0) & (f_j4 = 0) -> 1: (r_j8' = 1) & (r_j9' = 1) & (r_j4' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j9 = 0) & (f_j5 = 0) -> 1: (r_j8' = 1) & (r_j9' = 1) & (r_j5' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j9 = 0) & (f_j6 = 0) -> 1: (r_j8' = 1) & (r_j9' = 1) & (r_j6' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j9 = 0) & (f_j7 = 0) -> 1: (r_j8' = 1) & (r_j9' = 1) & (r_j7' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j9 = 0) & (f_j1 = 0) -> 1: (r_j8' = 1) & (r_j9' = 1) & (r_j1' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j9 = 0) & (f_j2 = 0) -> 1: (r_j8' = 1) & (r_j9' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j9 = 0) & (f_j3 = 0) -> 1: (r_j8' = 1) & (r_j9' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j9 = 0) & (f_j14 = 0) -> 1: (r_j8' = 1) & (r_j9' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j9 = 0) & (f_j15 = 0) -> 1: (r_j8' = 1) & (r_j9' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j9 = 0) & (f_j12 = 0) -> 1: (r_j8' = 1) & (r_j9' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j9 = 0) & (f_j13 = 0) -> 1: (r_j8' = 1) & (r_j9' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j9 = 0) & (f_j10 = 0) -> 1: (r_j8' = 1) & (r_j9' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j9 = 0) & (f_j11 = 0) -> 1: (r_j8' = 1) & (r_j9' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j4 = 0) & (f_j5 = 0) -> 1: (r_j8' = 1) & (r_j4' = 1) & (r_j5' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j4 = 0) & (f_j6 = 0) -> 1: (r_j8' = 1) & (r_j4' = 1) & (r_j6' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j4 = 0) & (f_j7 = 0) -> 1: (r_j8' = 1) & (r_j4' = 1) & (r_j7' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j4 = 0) & (f_j1 = 0) -> 1: (r_j8' = 1) & (r_j4' = 1) & (r_j1' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j4 = 0) & (f_j2 = 0) -> 1: (r_j8' = 1) & (r_j4' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j4 = 0) & (f_j3 = 0) -> 1: (r_j8' = 1) & (r_j4' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j4 = 0) & (f_j14 = 0) -> 1: (r_j8' = 1) & (r_j4' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j4 = 0) & (f_j15 = 0) -> 1: (r_j8' = 1) & (r_j4' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j4 = 0) & (f_j12 = 0) -> 1: (r_j8' = 1) & (r_j4' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j4 = 0) & (f_j13 = 0) -> 1: (r_j8' = 1) & (r_j4' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j4 = 0) & (f_j10 = 0) -> 1: (r_j8' = 1) & (r_j4' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j4 = 0) & (f_j11 = 0) -> 1: (r_j8' = 1) & (r_j4' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j5 = 0) & (f_j6 = 0) -> 1: (r_j8' = 1) & (r_j5' = 1) & (r_j6' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j5 = 0) & (f_j7 = 0) -> 1: (r_j8' = 1) & (r_j5' = 1) & (r_j7' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j5 = 0) & (f_j1 = 0) -> 1: (r_j8' = 1) & (r_j5' = 1) & (r_j1' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j5 = 0) & (f_j2 = 0) -> 1: (r_j8' = 1) & (r_j5' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j5 = 0) & (f_j3 = 0) -> 1: (r_j8' = 1) & (r_j5' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j5 = 0) & (f_j14 = 0) -> 1: (r_j8' = 1) & (r_j5' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j5 = 0) & (f_j15 = 0) -> 1: (r_j8' = 1) & (r_j5' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j5 = 0) & (f_j12 = 0) -> 1: (r_j8' = 1) & (r_j5' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j5 = 0) & (f_j13 = 0) -> 1: (r_j8' = 1) & (r_j5' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j5 = 0) & (f_j10 = 0) -> 1: (r_j8' = 1) & (r_j5' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j5 = 0) & (f_j11 = 0) -> 1: (r_j8' = 1) & (r_j5' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j6 = 0) & (f_j7 = 0) -> 1: (r_j8' = 1) & (r_j6' = 1) & (r_j7' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j6 = 0) & (f_j1 = 0) -> 1: (r_j8' = 1) & (r_j6' = 1) & (r_j1' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j6 = 0) & (f_j2 = 0) -> 1: (r_j8' = 1) & (r_j6' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j6 = 0) & (f_j3 = 0) -> 1: (r_j8' = 1) & (r_j6' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j6 = 0) & (f_j14 = 0) -> 1: (r_j8' = 1) & (r_j6' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j6 = 0) & (f_j15 = 0) -> 1: (r_j8' = 1) & (r_j6' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j6 = 0) & (f_j12 = 0) -> 1: (r_j8' = 1) & (r_j6' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j6 = 0) & (f_j13 = 0) -> 1: (r_j8' = 1) & (r_j6' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j6 = 0) & (f_j10 = 0) -> 1: (r_j8' = 1) & (r_j6' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j6 = 0) & (f_j11 = 0) -> 1: (r_j8' = 1) & (r_j6' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j7 = 0) & (f_j1 = 0) -> 1: (r_j8' = 1) & (r_j7' = 1) & (r_j1' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j7 = 0) & (f_j2 = 0) -> 1: (r_j8' = 1) & (r_j7' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j7 = 0) & (f_j3 = 0) -> 1: (r_j8' = 1) & (r_j7' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j7 = 0) & (f_j14 = 0) -> 1: (r_j8' = 1) & (r_j7' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j7 = 0) & (f_j15 = 0) -> 1: (r_j8' = 1) & (r_j7' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j7 = 0) & (f_j12 = 0) -> 1: (r_j8' = 1) & (r_j7' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j7 = 0) & (f_j13 = 0) -> 1: (r_j8' = 1) & (r_j7' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j7 = 0) & (f_j10 = 0) -> 1: (r_j8' = 1) & (r_j7' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j7 = 0) & (f_j11 = 0) -> 1: (r_j8' = 1) & (r_j7' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j1 = 0) & (f_j2 = 0) -> 1: (r_j8' = 1) & (r_j1' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j1 = 0) & (f_j3 = 0) -> 1: (r_j8' = 1) & (r_j1' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j1 = 0) & (f_j14 = 0) -> 1: (r_j8' = 1) & (r_j1' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j1 = 0) & (f_j15 = 0) -> 1: (r_j8' = 1) & (r_j1' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j1 = 0) & (f_j12 = 0) -> 1: (r_j8' = 1) & (r_j1' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j1 = 0) & (f_j13 = 0) -> 1: (r_j8' = 1) & (r_j1' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j1 = 0) & (f_j10 = 0) -> 1: (r_j8' = 1) & (r_j1' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j1 = 0) & (f_j11 = 0) -> 1: (r_j8' = 1) & (r_j1' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j2 = 0) & (f_j3 = 0) -> 1: (r_j8' = 1) & (r_j2' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j2 = 0) & (f_j14 = 0) -> 1: (r_j8' = 1) & (r_j2' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j2 = 0) & (f_j15 = 0) -> 1: (r_j8' = 1) & (r_j2' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j2 = 0) & (f_j12 = 0) -> 1: (r_j8' = 1) & (r_j2' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j2 = 0) & (f_j13 = 0) -> 1: (r_j8' = 1) & (r_j2' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j2 = 0) & (f_j10 = 0) -> 1: (r_j8' = 1) & (r_j2' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j2 = 0) & (f_j11 = 0) -> 1: (r_j8' = 1) & (r_j2' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j3 = 0) & (f_j14 = 0) -> 1: (r_j8' = 1) & (r_j3' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j3 = 0) & (f_j15 = 0) -> 1: (r_j8' = 1) & (r_j3' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j3 = 0) & (f_j12 = 0) -> 1: (r_j8' = 1) & (r_j3' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j3 = 0) & (f_j13 = 0) -> 1: (r_j8' = 1) & (r_j3' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j3 = 0) & (f_j10 = 0) -> 1: (r_j8' = 1) & (r_j3' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j3 = 0) & (f_j11 = 0) -> 1: (r_j8' = 1) & (r_j3' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j14 = 0) & (f_j15 = 0) -> 1: (r_j8' = 1) & (r_j14' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j14 = 0) & (f_j12 = 0) -> 1: (r_j8' = 1) & (r_j14' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j14 = 0) & (f_j13 = 0) -> 1: (r_j8' = 1) & (r_j14' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j14 = 0) & (f_j10 = 0) -> 1: (r_j8' = 1) & (r_j14' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j14 = 0) & (f_j11 = 0) -> 1: (r_j8' = 1) & (r_j14' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j15 = 0) & (f_j12 = 0) -> 1: (r_j8' = 1) & (r_j15' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j15 = 0) & (f_j13 = 0) -> 1: (r_j8' = 1) & (r_j15' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j15 = 0) & (f_j10 = 0) -> 1: (r_j8' = 1) & (r_j15' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j15 = 0) & (f_j11 = 0) -> 1: (r_j8' = 1) & (r_j15' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j12 = 0) & (f_j13 = 0) -> 1: (r_j8' = 1) & (r_j12' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j12 = 0) & (f_j10 = 0) -> 1: (r_j8' = 1) & (r_j12' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j12 = 0) & (f_j11 = 0) -> 1: (r_j8' = 1) & (r_j12' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j13 = 0) & (f_j10 = 0) -> 1: (r_j8' = 1) & (r_j13' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j13 = 0) & (f_j11 = 0) -> 1: (r_j8' = 1) & (r_j13' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j8 = 0) & (f_j10 = 0) & (f_j11 = 0) -> 1: (r_j8' = 1) & (r_j10' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j4 = 0) & (f_j5 = 0) -> 1: (r_j9' = 1) & (r_j4' = 1) & (r_j5' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j4 = 0) & (f_j6 = 0) -> 1: (r_j9' = 1) & (r_j4' = 1) & (r_j6' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j4 = 0) & (f_j7 = 0) -> 1: (r_j9' = 1) & (r_j4' = 1) & (r_j7' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j4 = 0) & (f_j1 = 0) -> 1: (r_j9' = 1) & (r_j4' = 1) & (r_j1' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j4 = 0) & (f_j2 = 0) -> 1: (r_j9' = 1) & (r_j4' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j4 = 0) & (f_j3 = 0) -> 1: (r_j9' = 1) & (r_j4' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j4 = 0) & (f_j14 = 0) -> 1: (r_j9' = 1) & (r_j4' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j4 = 0) & (f_j15 = 0) -> 1: (r_j9' = 1) & (r_j4' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j4 = 0) & (f_j12 = 0) -> 1: (r_j9' = 1) & (r_j4' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j4 = 0) & (f_j13 = 0) -> 1: (r_j9' = 1) & (r_j4' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j4 = 0) & (f_j10 = 0) -> 1: (r_j9' = 1) & (r_j4' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j4 = 0) & (f_j11 = 0) -> 1: (r_j9' = 1) & (r_j4' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j5 = 0) & (f_j6 = 0) -> 1: (r_j9' = 1) & (r_j5' = 1) & (r_j6' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j5 = 0) & (f_j7 = 0) -> 1: (r_j9' = 1) & (r_j5' = 1) & (r_j7' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j5 = 0) & (f_j1 = 0) -> 1: (r_j9' = 1) & (r_j5' = 1) & (r_j1' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j5 = 0) & (f_j2 = 0) -> 1: (r_j9' = 1) & (r_j5' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j5 = 0) & (f_j3 = 0) -> 1: (r_j9' = 1) & (r_j5' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j5 = 0) & (f_j14 = 0) -> 1: (r_j9' = 1) & (r_j5' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j5 = 0) & (f_j15 = 0) -> 1: (r_j9' = 1) & (r_j5' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j5 = 0) & (f_j12 = 0) -> 1: (r_j9' = 1) & (r_j5' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j5 = 0) & (f_j13 = 0) -> 1: (r_j9' = 1) & (r_j5' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j5 = 0) & (f_j10 = 0) -> 1: (r_j9' = 1) & (r_j5' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j5 = 0) & (f_j11 = 0) -> 1: (r_j9' = 1) & (r_j5' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j6 = 0) & (f_j7 = 0) -> 1: (r_j9' = 1) & (r_j6' = 1) & (r_j7' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j6 = 0) & (f_j1 = 0) -> 1: (r_j9' = 1) & (r_j6' = 1) & (r_j1' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j6 = 0) & (f_j2 = 0) -> 1: (r_j9' = 1) & (r_j6' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j6 = 0) & (f_j3 = 0) -> 1: (r_j9' = 1) & (r_j6' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j6 = 0) & (f_j14 = 0) -> 1: (r_j9' = 1) & (r_j6' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j6 = 0) & (f_j15 = 0) -> 1: (r_j9' = 1) & (r_j6' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j6 = 0) & (f_j12 = 0) -> 1: (r_j9' = 1) & (r_j6' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j6 = 0) & (f_j13 = 0) -> 1: (r_j9' = 1) & (r_j6' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j6 = 0) & (f_j10 = 0) -> 1: (r_j9' = 1) & (r_j6' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j6 = 0) & (f_j11 = 0) -> 1: (r_j9' = 1) & (r_j6' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j7 = 0) & (f_j1 = 0) -> 1: (r_j9' = 1) & (r_j7' = 1) & (r_j1' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j7 = 0) & (f_j2 = 0) -> 1: (r_j9' = 1) & (r_j7' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j7 = 0) & (f_j3 = 0) -> 1: (r_j9' = 1) & (r_j7' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j7 = 0) & (f_j14 = 0) -> 1: (r_j9' = 1) & (r_j7' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j7 = 0) & (f_j15 = 0) -> 1: (r_j9' = 1) & (r_j7' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j7 = 0) & (f_j12 = 0) -> 1: (r_j9' = 1) & (r_j7' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j7 = 0) & (f_j13 = 0) -> 1: (r_j9' = 1) & (r_j7' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j7 = 0) & (f_j10 = 0) -> 1: (r_j9' = 1) & (r_j7' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j7 = 0) & (f_j11 = 0) -> 1: (r_j9' = 1) & (r_j7' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j1 = 0) & (f_j2 = 0) -> 1: (r_j9' = 1) & (r_j1' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j1 = 0) & (f_j3 = 0) -> 1: (r_j9' = 1) & (r_j1' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j1 = 0) & (f_j14 = 0) -> 1: (r_j9' = 1) & (r_j1' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j1 = 0) & (f_j15 = 0) -> 1: (r_j9' = 1) & (r_j1' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j1 = 0) & (f_j12 = 0) -> 1: (r_j9' = 1) & (r_j1' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j1 = 0) & (f_j13 = 0) -> 1: (r_j9' = 1) & (r_j1' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j1 = 0) & (f_j10 = 0) -> 1: (r_j9' = 1) & (r_j1' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j1 = 0) & (f_j11 = 0) -> 1: (r_j9' = 1) & (r_j1' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j2 = 0) & (f_j3 = 0) -> 1: (r_j9' = 1) & (r_j2' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j2 = 0) & (f_j14 = 0) -> 1: (r_j9' = 1) & (r_j2' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j2 = 0) & (f_j15 = 0) -> 1: (r_j9' = 1) & (r_j2' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j2 = 0) & (f_j12 = 0) -> 1: (r_j9' = 1) & (r_j2' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j2 = 0) & (f_j13 = 0) -> 1: (r_j9' = 1) & (r_j2' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j2 = 0) & (f_j10 = 0) -> 1: (r_j9' = 1) & (r_j2' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j2 = 0) & (f_j11 = 0) -> 1: (r_j9' = 1) & (r_j2' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j3 = 0) & (f_j14 = 0) -> 1: (r_j9' = 1) & (r_j3' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j3 = 0) & (f_j15 = 0) -> 1: (r_j9' = 1) & (r_j3' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j3 = 0) & (f_j12 = 0) -> 1: (r_j9' = 1) & (r_j3' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j3 = 0) & (f_j13 = 0) -> 1: (r_j9' = 1) & (r_j3' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j3 = 0) & (f_j10 = 0) -> 1: (r_j9' = 1) & (r_j3' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j3 = 0) & (f_j11 = 0) -> 1: (r_j9' = 1) & (r_j3' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j14 = 0) & (f_j15 = 0) -> 1: (r_j9' = 1) & (r_j14' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j14 = 0) & (f_j12 = 0) -> 1: (r_j9' = 1) & (r_j14' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j14 = 0) & (f_j13 = 0) -> 1: (r_j9' = 1) & (r_j14' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j14 = 0) & (f_j10 = 0) -> 1: (r_j9' = 1) & (r_j14' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j14 = 0) & (f_j11 = 0) -> 1: (r_j9' = 1) & (r_j14' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j15 = 0) & (f_j12 = 0) -> 1: (r_j9' = 1) & (r_j15' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j15 = 0) & (f_j13 = 0) -> 1: (r_j9' = 1) & (r_j15' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j15 = 0) & (f_j10 = 0) -> 1: (r_j9' = 1) & (r_j15' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j15 = 0) & (f_j11 = 0) -> 1: (r_j9' = 1) & (r_j15' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j12 = 0) & (f_j13 = 0) -> 1: (r_j9' = 1) & (r_j12' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j12 = 0) & (f_j10 = 0) -> 1: (r_j9' = 1) & (r_j12' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j12 = 0) & (f_j11 = 0) -> 1: (r_j9' = 1) & (r_j12' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j13 = 0) & (f_j10 = 0) -> 1: (r_j9' = 1) & (r_j13' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j13 = 0) & (f_j11 = 0) -> 1: (r_j9' = 1) & (r_j13' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j9 = 0) & (f_j10 = 0) & (f_j11 = 0) -> 1: (r_j9' = 1) & (r_j10' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j5 = 0) & (f_j6 = 0) -> 1: (r_j4' = 1) & (r_j5' = 1) & (r_j6' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j5 = 0) & (f_j7 = 0) -> 1: (r_j4' = 1) & (r_j5' = 1) & (r_j7' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j5 = 0) & (f_j1 = 0) -> 1: (r_j4' = 1) & (r_j5' = 1) & (r_j1' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j5 = 0) & (f_j2 = 0) -> 1: (r_j4' = 1) & (r_j5' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j5 = 0) & (f_j3 = 0) -> 1: (r_j4' = 1) & (r_j5' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j5 = 0) & (f_j14 = 0) -> 1: (r_j4' = 1) & (r_j5' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j5 = 0) & (f_j15 = 0) -> 1: (r_j4' = 1) & (r_j5' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j5 = 0) & (f_j12 = 0) -> 1: (r_j4' = 1) & (r_j5' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j5 = 0) & (f_j13 = 0) -> 1: (r_j4' = 1) & (r_j5' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j5 = 0) & (f_j10 = 0) -> 1: (r_j4' = 1) & (r_j5' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j5 = 0) & (f_j11 = 0) -> 1: (r_j4' = 1) & (r_j5' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j6 = 0) & (f_j7 = 0) -> 1: (r_j4' = 1) & (r_j6' = 1) & (r_j7' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j6 = 0) & (f_j1 = 0) -> 1: (r_j4' = 1) & (r_j6' = 1) & (r_j1' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j6 = 0) & (f_j2 = 0) -> 1: (r_j4' = 1) & (r_j6' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j6 = 0) & (f_j3 = 0) -> 1: (r_j4' = 1) & (r_j6' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j6 = 0) & (f_j14 = 0) -> 1: (r_j4' = 1) & (r_j6' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j6 = 0) & (f_j15 = 0) -> 1: (r_j4' = 1) & (r_j6' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j6 = 0) & (f_j12 = 0) -> 1: (r_j4' = 1) & (r_j6' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j6 = 0) & (f_j13 = 0) -> 1: (r_j4' = 1) & (r_j6' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j6 = 0) & (f_j10 = 0) -> 1: (r_j4' = 1) & (r_j6' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j6 = 0) & (f_j11 = 0) -> 1: (r_j4' = 1) & (r_j6' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j7 = 0) & (f_j1 = 0) -> 1: (r_j4' = 1) & (r_j7' = 1) & (r_j1' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j7 = 0) & (f_j2 = 0) -> 1: (r_j4' = 1) & (r_j7' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j7 = 0) & (f_j3 = 0) -> 1: (r_j4' = 1) & (r_j7' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j7 = 0) & (f_j14 = 0) -> 1: (r_j4' = 1) & (r_j7' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j7 = 0) & (f_j15 = 0) -> 1: (r_j4' = 1) & (r_j7' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j7 = 0) & (f_j12 = 0) -> 1: (r_j4' = 1) & (r_j7' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j7 = 0) & (f_j13 = 0) -> 1: (r_j4' = 1) & (r_j7' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j7 = 0) & (f_j10 = 0) -> 1: (r_j4' = 1) & (r_j7' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j7 = 0) & (f_j11 = 0) -> 1: (r_j4' = 1) & (r_j7' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j1 = 0) & (f_j2 = 0) -> 1: (r_j4' = 1) & (r_j1' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j1 = 0) & (f_j3 = 0) -> 1: (r_j4' = 1) & (r_j1' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j1 = 0) & (f_j14 = 0) -> 1: (r_j4' = 1) & (r_j1' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j1 = 0) & (f_j15 = 0) -> 1: (r_j4' = 1) & (r_j1' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j1 = 0) & (f_j12 = 0) -> 1: (r_j4' = 1) & (r_j1' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j1 = 0) & (f_j13 = 0) -> 1: (r_j4' = 1) & (r_j1' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j1 = 0) & (f_j10 = 0) -> 1: (r_j4' = 1) & (r_j1' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j1 = 0) & (f_j11 = 0) -> 1: (r_j4' = 1) & (r_j1' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j2 = 0) & (f_j3 = 0) -> 1: (r_j4' = 1) & (r_j2' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j2 = 0) & (f_j14 = 0) -> 1: (r_j4' = 1) & (r_j2' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j2 = 0) & (f_j15 = 0) -> 1: (r_j4' = 1) & (r_j2' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j2 = 0) & (f_j12 = 0) -> 1: (r_j4' = 1) & (r_j2' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j2 = 0) & (f_j13 = 0) -> 1: (r_j4' = 1) & (r_j2' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j2 = 0) & (f_j10 = 0) -> 1: (r_j4' = 1) & (r_j2' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j2 = 0) & (f_j11 = 0) -> 1: (r_j4' = 1) & (r_j2' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j3 = 0) & (f_j14 = 0) -> 1: (r_j4' = 1) & (r_j3' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j3 = 0) & (f_j15 = 0) -> 1: (r_j4' = 1) & (r_j3' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j3 = 0) & (f_j12 = 0) -> 1: (r_j4' = 1) & (r_j3' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j3 = 0) & (f_j13 = 0) -> 1: (r_j4' = 1) & (r_j3' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j3 = 0) & (f_j10 = 0) -> 1: (r_j4' = 1) & (r_j3' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j3 = 0) & (f_j11 = 0) -> 1: (r_j4' = 1) & (r_j3' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j14 = 0) & (f_j15 = 0) -> 1: (r_j4' = 1) & (r_j14' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j14 = 0) & (f_j12 = 0) -> 1: (r_j4' = 1) & (r_j14' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j14 = 0) & (f_j13 = 0) -> 1: (r_j4' = 1) & (r_j14' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j14 = 0) & (f_j10 = 0) -> 1: (r_j4' = 1) & (r_j14' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j14 = 0) & (f_j11 = 0) -> 1: (r_j4' = 1) & (r_j14' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j15 = 0) & (f_j12 = 0) -> 1: (r_j4' = 1) & (r_j15' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j15 = 0) & (f_j13 = 0) -> 1: (r_j4' = 1) & (r_j15' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j15 = 0) & (f_j10 = 0) -> 1: (r_j4' = 1) & (r_j15' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j15 = 0) & (f_j11 = 0) -> 1: (r_j4' = 1) & (r_j15' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j12 = 0) & (f_j13 = 0) -> 1: (r_j4' = 1) & (r_j12' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j12 = 0) & (f_j10 = 0) -> 1: (r_j4' = 1) & (r_j12' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j12 = 0) & (f_j11 = 0) -> 1: (r_j4' = 1) & (r_j12' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j13 = 0) & (f_j10 = 0) -> 1: (r_j4' = 1) & (r_j13' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j13 = 0) & (f_j11 = 0) -> 1: (r_j4' = 1) & (r_j13' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j4 = 0) & (f_j10 = 0) & (f_j11 = 0) -> 1: (r_j4' = 1) & (r_j10' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j6 = 0) & (f_j7 = 0) -> 1: (r_j5' = 1) & (r_j6' = 1) & (r_j7' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j6 = 0) & (f_j1 = 0) -> 1: (r_j5' = 1) & (r_j6' = 1) & (r_j1' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j6 = 0) & (f_j2 = 0) -> 1: (r_j5' = 1) & (r_j6' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j6 = 0) & (f_j3 = 0) -> 1: (r_j5' = 1) & (r_j6' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j6 = 0) & (f_j14 = 0) -> 1: (r_j5' = 1) & (r_j6' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j6 = 0) & (f_j15 = 0) -> 1: (r_j5' = 1) & (r_j6' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j6 = 0) & (f_j12 = 0) -> 1: (r_j5' = 1) & (r_j6' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j6 = 0) & (f_j13 = 0) -> 1: (r_j5' = 1) & (r_j6' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j6 = 0) & (f_j10 = 0) -> 1: (r_j5' = 1) & (r_j6' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j6 = 0) & (f_j11 = 0) -> 1: (r_j5' = 1) & (r_j6' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j7 = 0) & (f_j1 = 0) -> 1: (r_j5' = 1) & (r_j7' = 1) & (r_j1' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j7 = 0) & (f_j2 = 0) -> 1: (r_j5' = 1) & (r_j7' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j7 = 0) & (f_j3 = 0) -> 1: (r_j5' = 1) & (r_j7' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j7 = 0) & (f_j14 = 0) -> 1: (r_j5' = 1) & (r_j7' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j7 = 0) & (f_j15 = 0) -> 1: (r_j5' = 1) & (r_j7' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j7 = 0) & (f_j12 = 0) -> 1: (r_j5' = 1) & (r_j7' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j7 = 0) & (f_j13 = 0) -> 1: (r_j5' = 1) & (r_j7' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j7 = 0) & (f_j10 = 0) -> 1: (r_j5' = 1) & (r_j7' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j7 = 0) & (f_j11 = 0) -> 1: (r_j5' = 1) & (r_j7' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j1 = 0) & (f_j2 = 0) -> 1: (r_j5' = 1) & (r_j1' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j1 = 0) & (f_j3 = 0) -> 1: (r_j5' = 1) & (r_j1' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j1 = 0) & (f_j14 = 0) -> 1: (r_j5' = 1) & (r_j1' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j1 = 0) & (f_j15 = 0) -> 1: (r_j5' = 1) & (r_j1' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j1 = 0) & (f_j12 = 0) -> 1: (r_j5' = 1) & (r_j1' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j1 = 0) & (f_j13 = 0) -> 1: (r_j5' = 1) & (r_j1' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j1 = 0) & (f_j10 = 0) -> 1: (r_j5' = 1) & (r_j1' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j1 = 0) & (f_j11 = 0) -> 1: (r_j5' = 1) & (r_j1' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j2 = 0) & (f_j3 = 0) -> 1: (r_j5' = 1) & (r_j2' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j2 = 0) & (f_j14 = 0) -> 1: (r_j5' = 1) & (r_j2' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j2 = 0) & (f_j15 = 0) -> 1: (r_j5' = 1) & (r_j2' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j2 = 0) & (f_j12 = 0) -> 1: (r_j5' = 1) & (r_j2' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j2 = 0) & (f_j13 = 0) -> 1: (r_j5' = 1) & (r_j2' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j2 = 0) & (f_j10 = 0) -> 1: (r_j5' = 1) & (r_j2' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j2 = 0) & (f_j11 = 0) -> 1: (r_j5' = 1) & (r_j2' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j3 = 0) & (f_j14 = 0) -> 1: (r_j5' = 1) & (r_j3' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j3 = 0) & (f_j15 = 0) -> 1: (r_j5' = 1) & (r_j3' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j3 = 0) & (f_j12 = 0) -> 1: (r_j5' = 1) & (r_j3' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j3 = 0) & (f_j13 = 0) -> 1: (r_j5' = 1) & (r_j3' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j3 = 0) & (f_j10 = 0) -> 1: (r_j5' = 1) & (r_j3' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j3 = 0) & (f_j11 = 0) -> 1: (r_j5' = 1) & (r_j3' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j14 = 0) & (f_j15 = 0) -> 1: (r_j5' = 1) & (r_j14' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j14 = 0) & (f_j12 = 0) -> 1: (r_j5' = 1) & (r_j14' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j14 = 0) & (f_j13 = 0) -> 1: (r_j5' = 1) & (r_j14' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j14 = 0) & (f_j10 = 0) -> 1: (r_j5' = 1) & (r_j14' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j14 = 0) & (f_j11 = 0) -> 1: (r_j5' = 1) & (r_j14' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j15 = 0) & (f_j12 = 0) -> 1: (r_j5' = 1) & (r_j15' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j15 = 0) & (f_j13 = 0) -> 1: (r_j5' = 1) & (r_j15' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j15 = 0) & (f_j10 = 0) -> 1: (r_j5' = 1) & (r_j15' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j15 = 0) & (f_j11 = 0) -> 1: (r_j5' = 1) & (r_j15' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j12 = 0) & (f_j13 = 0) -> 1: (r_j5' = 1) & (r_j12' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j12 = 0) & (f_j10 = 0) -> 1: (r_j5' = 1) & (r_j12' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j12 = 0) & (f_j11 = 0) -> 1: (r_j5' = 1) & (r_j12' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j13 = 0) & (f_j10 = 0) -> 1: (r_j5' = 1) & (r_j13' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j13 = 0) & (f_j11 = 0) -> 1: (r_j5' = 1) & (r_j13' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j5 = 0) & (f_j10 = 0) & (f_j11 = 0) -> 1: (r_j5' = 1) & (r_j10' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j7 = 0) & (f_j1 = 0) -> 1: (r_j6' = 1) & (r_j7' = 1) & (r_j1' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j7 = 0) & (f_j2 = 0) -> 1: (r_j6' = 1) & (r_j7' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j7 = 0) & (f_j3 = 0) -> 1: (r_j6' = 1) & (r_j7' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j7 = 0) & (f_j14 = 0) -> 1: (r_j6' = 1) & (r_j7' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j7 = 0) & (f_j15 = 0) -> 1: (r_j6' = 1) & (r_j7' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j7 = 0) & (f_j12 = 0) -> 1: (r_j6' = 1) & (r_j7' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j7 = 0) & (f_j13 = 0) -> 1: (r_j6' = 1) & (r_j7' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j7 = 0) & (f_j10 = 0) -> 1: (r_j6' = 1) & (r_j7' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j7 = 0) & (f_j11 = 0) -> 1: (r_j6' = 1) & (r_j7' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j1 = 0) & (f_j2 = 0) -> 1: (r_j6' = 1) & (r_j1' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j1 = 0) & (f_j3 = 0) -> 1: (r_j6' = 1) & (r_j1' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j1 = 0) & (f_j14 = 0) -> 1: (r_j6' = 1) & (r_j1' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j1 = 0) & (f_j15 = 0) -> 1: (r_j6' = 1) & (r_j1' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j1 = 0) & (f_j12 = 0) -> 1: (r_j6' = 1) & (r_j1' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j1 = 0) & (f_j13 = 0) -> 1: (r_j6' = 1) & (r_j1' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j1 = 0) & (f_j10 = 0) -> 1: (r_j6' = 1) & (r_j1' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j1 = 0) & (f_j11 = 0) -> 1: (r_j6' = 1) & (r_j1' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j2 = 0) & (f_j3 = 0) -> 1: (r_j6' = 1) & (r_j2' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j2 = 0) & (f_j14 = 0) -> 1: (r_j6' = 1) & (r_j2' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j2 = 0) & (f_j15 = 0) -> 1: (r_j6' = 1) & (r_j2' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j2 = 0) & (f_j12 = 0) -> 1: (r_j6' = 1) & (r_j2' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j2 = 0) & (f_j13 = 0) -> 1: (r_j6' = 1) & (r_j2' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j2 = 0) & (f_j10 = 0) -> 1: (r_j6' = 1) & (r_j2' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j2 = 0) & (f_j11 = 0) -> 1: (r_j6' = 1) & (r_j2' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j3 = 0) & (f_j14 = 0) -> 1: (r_j6' = 1) & (r_j3' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j3 = 0) & (f_j15 = 0) -> 1: (r_j6' = 1) & (r_j3' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j3 = 0) & (f_j12 = 0) -> 1: (r_j6' = 1) & (r_j3' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j3 = 0) & (f_j13 = 0) -> 1: (r_j6' = 1) & (r_j3' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j3 = 0) & (f_j10 = 0) -> 1: (r_j6' = 1) & (r_j3' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j3 = 0) & (f_j11 = 0) -> 1: (r_j6' = 1) & (r_j3' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j14 = 0) & (f_j15 = 0) -> 1: (r_j6' = 1) & (r_j14' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j14 = 0) & (f_j12 = 0) -> 1: (r_j6' = 1) & (r_j14' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j14 = 0) & (f_j13 = 0) -> 1: (r_j6' = 1) & (r_j14' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j14 = 0) & (f_j10 = 0) -> 1: (r_j6' = 1) & (r_j14' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j14 = 0) & (f_j11 = 0) -> 1: (r_j6' = 1) & (r_j14' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j15 = 0) & (f_j12 = 0) -> 1: (r_j6' = 1) & (r_j15' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j15 = 0) & (f_j13 = 0) -> 1: (r_j6' = 1) & (r_j15' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j15 = 0) & (f_j10 = 0) -> 1: (r_j6' = 1) & (r_j15' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j15 = 0) & (f_j11 = 0) -> 1: (r_j6' = 1) & (r_j15' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j12 = 0) & (f_j13 = 0) -> 1: (r_j6' = 1) & (r_j12' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j12 = 0) & (f_j10 = 0) -> 1: (r_j6' = 1) & (r_j12' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j12 = 0) & (f_j11 = 0) -> 1: (r_j6' = 1) & (r_j12' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j13 = 0) & (f_j10 = 0) -> 1: (r_j6' = 1) & (r_j13' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j13 = 0) & (f_j11 = 0) -> 1: (r_j6' = 1) & (r_j13' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j6 = 0) & (f_j10 = 0) & (f_j11 = 0) -> 1: (r_j6' = 1) & (r_j10' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j1 = 0) & (f_j2 = 0) -> 1: (r_j7' = 1) & (r_j1' = 1) & (r_j2' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j1 = 0) & (f_j3 = 0) -> 1: (r_j7' = 1) & (r_j1' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j1 = 0) & (f_j14 = 0) -> 1: (r_j7' = 1) & (r_j1' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j1 = 0) & (f_j15 = 0) -> 1: (r_j7' = 1) & (r_j1' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j1 = 0) & (f_j12 = 0) -> 1: (r_j7' = 1) & (r_j1' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j1 = 0) & (f_j13 = 0) -> 1: (r_j7' = 1) & (r_j1' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j1 = 0) & (f_j10 = 0) -> 1: (r_j7' = 1) & (r_j1' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j1 = 0) & (f_j11 = 0) -> 1: (r_j7' = 1) & (r_j1' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j2 = 0) & (f_j3 = 0) -> 1: (r_j7' = 1) & (r_j2' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j2 = 0) & (f_j14 = 0) -> 1: (r_j7' = 1) & (r_j2' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j2 = 0) & (f_j15 = 0) -> 1: (r_j7' = 1) & (r_j2' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j2 = 0) & (f_j12 = 0) -> 1: (r_j7' = 1) & (r_j2' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j2 = 0) & (f_j13 = 0) -> 1: (r_j7' = 1) & (r_j2' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j2 = 0) & (f_j10 = 0) -> 1: (r_j7' = 1) & (r_j2' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j2 = 0) & (f_j11 = 0) -> 1: (r_j7' = 1) & (r_j2' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j3 = 0) & (f_j14 = 0) -> 1: (r_j7' = 1) & (r_j3' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j3 = 0) & (f_j15 = 0) -> 1: (r_j7' = 1) & (r_j3' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j3 = 0) & (f_j12 = 0) -> 1: (r_j7' = 1) & (r_j3' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j3 = 0) & (f_j13 = 0) -> 1: (r_j7' = 1) & (r_j3' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j3 = 0) & (f_j10 = 0) -> 1: (r_j7' = 1) & (r_j3' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j3 = 0) & (f_j11 = 0) -> 1: (r_j7' = 1) & (r_j3' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j14 = 0) & (f_j15 = 0) -> 1: (r_j7' = 1) & (r_j14' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j14 = 0) & (f_j12 = 0) -> 1: (r_j7' = 1) & (r_j14' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j14 = 0) & (f_j13 = 0) -> 1: (r_j7' = 1) & (r_j14' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j14 = 0) & (f_j10 = 0) -> 1: (r_j7' = 1) & (r_j14' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j14 = 0) & (f_j11 = 0) -> 1: (r_j7' = 1) & (r_j14' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j15 = 0) & (f_j12 = 0) -> 1: (r_j7' = 1) & (r_j15' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j15 = 0) & (f_j13 = 0) -> 1: (r_j7' = 1) & (r_j15' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j15 = 0) & (f_j10 = 0) -> 1: (r_j7' = 1) & (r_j15' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j15 = 0) & (f_j11 = 0) -> 1: (r_j7' = 1) & (r_j15' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j12 = 0) & (f_j13 = 0) -> 1: (r_j7' = 1) & (r_j12' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j12 = 0) & (f_j10 = 0) -> 1: (r_j7' = 1) & (r_j12' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j12 = 0) & (f_j11 = 0) -> 1: (r_j7' = 1) & (r_j12' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j13 = 0) & (f_j10 = 0) -> 1: (r_j7' = 1) & (r_j13' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j13 = 0) & (f_j11 = 0) -> 1: (r_j7' = 1) & (r_j13' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j7 = 0) & (f_j10 = 0) & (f_j11 = 0) -> 1: (r_j7' = 1) & (r_j10' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j2 = 0) & (f_j3 = 0) -> 1: (r_j1' = 1) & (r_j2' = 1) & (r_j3' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j2 = 0) & (f_j14 = 0) -> 1: (r_j1' = 1) & (r_j2' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j2 = 0) & (f_j15 = 0) -> 1: (r_j1' = 1) & (r_j2' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j2 = 0) & (f_j12 = 0) -> 1: (r_j1' = 1) & (r_j2' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j2 = 0) & (f_j13 = 0) -> 1: (r_j1' = 1) & (r_j2' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j2 = 0) & (f_j10 = 0) -> 1: (r_j1' = 1) & (r_j2' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j2 = 0) & (f_j11 = 0) -> 1: (r_j1' = 1) & (r_j2' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j3 = 0) & (f_j14 = 0) -> 1: (r_j1' = 1) & (r_j3' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j3 = 0) & (f_j15 = 0) -> 1: (r_j1' = 1) & (r_j3' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j3 = 0) & (f_j12 = 0) -> 1: (r_j1' = 1) & (r_j3' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j3 = 0) & (f_j13 = 0) -> 1: (r_j1' = 1) & (r_j3' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j3 = 0) & (f_j10 = 0) -> 1: (r_j1' = 1) & (r_j3' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j3 = 0) & (f_j11 = 0) -> 1: (r_j1' = 1) & (r_j3' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j14 = 0) & (f_j15 = 0) -> 1: (r_j1' = 1) & (r_j14' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j14 = 0) & (f_j12 = 0) -> 1: (r_j1' = 1) & (r_j14' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j14 = 0) & (f_j13 = 0) -> 1: (r_j1' = 1) & (r_j14' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j14 = 0) & (f_j10 = 0) -> 1: (r_j1' = 1) & (r_j14' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j14 = 0) & (f_j11 = 0) -> 1: (r_j1' = 1) & (r_j14' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j15 = 0) & (f_j12 = 0) -> 1: (r_j1' = 1) & (r_j15' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j15 = 0) & (f_j13 = 0) -> 1: (r_j1' = 1) & (r_j15' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j15 = 0) & (f_j10 = 0) -> 1: (r_j1' = 1) & (r_j15' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j15 = 0) & (f_j11 = 0) -> 1: (r_j1' = 1) & (r_j15' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j12 = 0) & (f_j13 = 0) -> 1: (r_j1' = 1) & (r_j12' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j12 = 0) & (f_j10 = 0) -> 1: (r_j1' = 1) & (r_j12' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j12 = 0) & (f_j11 = 0) -> 1: (r_j1' = 1) & (r_j12' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j13 = 0) & (f_j10 = 0) -> 1: (r_j1' = 1) & (r_j13' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j13 = 0) & (f_j11 = 0) -> 1: (r_j1' = 1) & (r_j13' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j1 = 0) & (f_j10 = 0) & (f_j11 = 0) -> 1: (r_j1' = 1) & (r_j10' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j2 = 0) & (f_j3 = 0) & (f_j14 = 0) -> 1: (r_j2' = 1) & (r_j3' = 1) & (r_j14' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j2 = 0) & (f_j3 = 0) & (f_j15 = 0) -> 1: (r_j2' = 1) & (r_j3' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j2 = 0) & (f_j3 = 0) & (f_j12 = 0) -> 1: (r_j2' = 1) & (r_j3' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j2 = 0) & (f_j3 = 0) & (f_j13 = 0) -> 1: (r_j2' = 1) & (r_j3' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j2 = 0) & (f_j3 = 0) & (f_j10 = 0) -> 1: (r_j2' = 1) & (r_j3' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j2 = 0) & (f_j3 = 0) & (f_j11 = 0) -> 1: (r_j2' = 1) & (r_j3' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j2 = 0) & (f_j14 = 0) & (f_j15 = 0) -> 1: (r_j2' = 1) & (r_j14' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j2 = 0) & (f_j14 = 0) & (f_j12 = 0) -> 1: (r_j2' = 1) & (r_j14' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j2 = 0) & (f_j14 = 0) & (f_j13 = 0) -> 1: (r_j2' = 1) & (r_j14' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j2 = 0) & (f_j14 = 0) & (f_j10 = 0) -> 1: (r_j2' = 1) & (r_j14' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j2 = 0) & (f_j14 = 0) & (f_j11 = 0) -> 1: (r_j2' = 1) & (r_j14' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j2 = 0) & (f_j15 = 0) & (f_j12 = 0) -> 1: (r_j2' = 1) & (r_j15' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j2 = 0) & (f_j15 = 0) & (f_j13 = 0) -> 1: (r_j2' = 1) & (r_j15' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j2 = 0) & (f_j15 = 0) & (f_j10 = 0) -> 1: (r_j2' = 1) & (r_j15' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j2 = 0) & (f_j15 = 0) & (f_j11 = 0) -> 1: (r_j2' = 1) & (r_j15' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j2 = 0) & (f_j12 = 0) & (f_j13 = 0) -> 1: (r_j2' = 1) & (r_j12' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j2 = 0) & (f_j12 = 0) & (f_j10 = 0) -> 1: (r_j2' = 1) & (r_j12' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j2 = 0) & (f_j12 = 0) & (f_j11 = 0) -> 1: (r_j2' = 1) & (r_j12' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j2 = 0) & (f_j13 = 0) & (f_j10 = 0) -> 1: (r_j2' = 1) & (r_j13' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j2 = 0) & (f_j13 = 0) & (f_j11 = 0) -> 1: (r_j2' = 1) & (r_j13' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j2 = 0) & (f_j10 = 0) & (f_j11 = 0) -> 1: (r_j2' = 1) & (r_j10' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j3 = 0) & (f_j14 = 0) & (f_j15 = 0) -> 1: (r_j3' = 1) & (r_j14' = 1) & (r_j15' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j3 = 0) & (f_j14 = 0) & (f_j12 = 0) -> 1: (r_j3' = 1) & (r_j14' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j3 = 0) & (f_j14 = 0) & (f_j13 = 0) -> 1: (r_j3' = 1) & (r_j14' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j3 = 0) & (f_j14 = 0) & (f_j10 = 0) -> 1: (r_j3' = 1) & (r_j14' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j3 = 0) & (f_j14 = 0) & (f_j11 = 0) -> 1: (r_j3' = 1) & (r_j14' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j3 = 0) & (f_j15 = 0) & (f_j12 = 0) -> 1: (r_j3' = 1) & (r_j15' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j3 = 0) & (f_j15 = 0) & (f_j13 = 0) -> 1: (r_j3' = 1) & (r_j15' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j3 = 0) & (f_j15 = 0) & (f_j10 = 0) -> 1: (r_j3' = 1) & (r_j15' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j3 = 0) & (f_j15 = 0) & (f_j11 = 0) -> 1: (r_j3' = 1) & (r_j15' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j3 = 0) & (f_j12 = 0) & (f_j13 = 0) -> 1: (r_j3' = 1) & (r_j12' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j3 = 0) & (f_j12 = 0) & (f_j10 = 0) -> 1: (r_j3' = 1) & (r_j12' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j3 = 0) & (f_j12 = 0) & (f_j11 = 0) -> 1: (r_j3' = 1) & (r_j12' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j3 = 0) & (f_j13 = 0) & (f_j10 = 0) -> 1: (r_j3' = 1) & (r_j13' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j3 = 0) & (f_j13 = 0) & (f_j11 = 0) -> 1: (r_j3' = 1) & (r_j13' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j3 = 0) & (f_j10 = 0) & (f_j11 = 0) -> 1: (r_j3' = 1) & (r_j10' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j14 = 0) & (f_j15 = 0) & (f_j12 = 0) -> 1: (r_j14' = 1) & (r_j15' = 1) & (r_j12' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j14 = 0) & (f_j15 = 0) & (f_j13 = 0) -> 1: (r_j14' = 1) & (r_j15' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j14 = 0) & (f_j15 = 0) & (f_j10 = 0) -> 1: (r_j14' = 1) & (r_j15' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j14 = 0) & (f_j15 = 0) & (f_j11 = 0) -> 1: (r_j14' = 1) & (r_j15' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j14 = 0) & (f_j12 = 0) & (f_j13 = 0) -> 1: (r_j14' = 1) & (r_j12' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j14 = 0) & (f_j12 = 0) & (f_j10 = 0) -> 1: (r_j14' = 1) & (r_j12' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j14 = 0) & (f_j12 = 0) & (f_j11 = 0) -> 1: (r_j14' = 1) & (r_j12' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j14 = 0) & (f_j13 = 0) & (f_j10 = 0) -> 1: (r_j14' = 1) & (r_j13' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j14 = 0) & (f_j13 = 0) & (f_j11 = 0) -> 1: (r_j14' = 1) & (r_j13' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j14 = 0) & (f_j10 = 0) & (f_j11 = 0) -> 1: (r_j14' = 1) & (r_j10' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j15 = 0) & (f_j12 = 0) & (f_j13 = 0) -> 1: (r_j15' = 1) & (r_j12' = 1) & (r_j13' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j15 = 0) & (f_j12 = 0) & (f_j10 = 0) -> 1: (r_j15' = 1) & (r_j12' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j15 = 0) & (f_j12 = 0) & (f_j11 = 0) -> 1: (r_j15' = 1) & (r_j12' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j15 = 0) & (f_j13 = 0) & (f_j10 = 0) -> 1: (r_j15' = 1) & (r_j13' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j15 = 0) & (f_j13 = 0) & (f_j11 = 0) -> 1: (r_j15' = 1) & (r_j13' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j15 = 0) & (f_j10 = 0) & (f_j11 = 0) -> 1: (r_j15' = 1) & (r_j10' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j12 = 0) & (f_j13 = 0) & (f_j10 = 0) -> 1: (r_j12' = 1) & (r_j13' = 1) & (r_j10' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j12 = 0) & (f_j13 = 0) & (f_j11 = 0) -> 1: (r_j12' = 1) & (r_j13' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j12 = 0) & (f_j10 = 0) & (f_j11 = 0) -> 1: (r_j12' = 1) & (r_j10' = 1) & (r_j11' = 1);
	[] (!is_running) & (num_finished <= 12) & (f_j13 = 0) & (f_j10 = 0) & (f_j11 = 0) -> 1: (r_j13' = 1) & (r_j10' = 1) & (r_j11' = 1);
endmodule
label "all_jobs_finished" = num_finished=N;
label "half_of_jobs_finished" = num_finished=8.0;
rewards "avg_waiting_time"
 true : (N-num_finished)/N;
endrewards
